{
  "index_patterns": ["{{ elasticsearch_metadata_index_name_prefix }}{{ elasticsearch_metadata_index_version }}_*", "{{ elasticsearch_metadata_index_internal_name_prefix }}{{ elasticsearch_metadata_index_version }}_*"],
  "template": {
    "settings": {
      "index": {
{% if search_index_features_use_synonyms %}
        "analysis": {
          "analyzer": {
            "default": {
              "type": "standard"
            },
            "default_search": {
              "tokenizer": "standard",
              "filter": [ 
                "lowercase",
                "graph_synonyms"
              ]
            }            
          },
          "filter": {
            "graph_synonyms": {
              "type": "synonym_graph",
              "synonyms_path": "synonym.txt",
              "updateable": true
            }
          }
        },
{% endif %}
        "number_of_shards": "{{ elasticsearch_metadata_index_number_of_shards }}",
        "number_of_replicas": "{{ elasticsearch_metadata_index_number_of_replicas }}"
      }
    },
    "mappings" : {
      "dynamic_templates": [
        {
          "about_prefLabel": {
            "path_match": "about.prefLabel.*",
            "mapping": {
              "type": "text",
              "copy_to": "about.prefLabel_full"
            }
          }
        }
      ],
      "dynamic": "false",
      "properties" : {
        "about" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            },
            "prefLabel" : {
              "dynamic" : "true",
              "properties" : {}
            },
            "prefLabel_full": {
              "type": "text"
            }
          }
        },
        "conditionsOfAccess": {
          "properties" : {
            "type": {
              "type": "keyword"
            },
            "id" : {
              "type" : "keyword"
            },
            "prefLabel" : {
              "dynamic" : "true",
              "properties" : {}
            }
          }
        },
        "contributor" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            },
            "name" : {
              "type" : "text",
              "fields" : {
                "keyword" : {
                  "type" : "keyword"
                }
              }
            },
            "type" : {
              "type" : "keyword"
            },
            "honorificPrefix": {
              "type": "text"
            },
            "affiliation": {
              "properties": {
                "id": {
                  "type": "keyword"
                },
                "type": {
                  "type": "keyword"
                },
                "name": {
                  "type" : "text",
                  "fields" : {
                    "keyword" : {
                      "type" : "keyword"
                    }
                  }
                }
              }
            }
          }
        },
        "creator" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            },
            "name" : {
              "type" : "text",
              "fields" : {
                "keyword" : {
                  "type" : "keyword"
                }
              }
            },
            "type" : {
              "type" : "keyword"
            },
            "honorificPrefix": {
              "type": "text"
            },
            "affiliation": {
              "properties": {
                "id": {
                  "type": "keyword"
                },
                "type": {
                  "type": "keyword"
                },
                "name": {
                  "type" : "text",
                  "fields" : {
                    "keyword" : {
                      "type" : "keyword"
                    }
                  }
                }
              }
            }
          }
        },
        "dateCreated" : {
          "type" : "date",
          "index" : true
        },
        "datePublished" : {
          "type" : "date",
          "index" : true
        },
        "dateModified" : {
          "type" : "date",
          "index" : true
        },
        "description" : {
          "type" : "text"
        },
        "id" : {
          "type" : "keyword",
          "index": false
        },
        "image" : {
          "type" : "keyword",
          "index": false
        },
        "inLanguage" : {
          "type" : "keyword"
        },
        "isAccessibleForFree": {
          "type": "boolean"
        },
        "license" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            }
          }
        },
        "name" : {
          "type" : "text"
        },
        "mainEntityOfPage" : {
          "properties" : {
            "id" : {
              "type" : "keyword",
              "index": false
            },
            "type" : {
              "type" : "keyword"
            },
            "dateCreated" : {
              "type" : "date",
              "index" : true
            },
            "dateModified" : {
              "type" : "date",
              "index" : true
            },
            "provider" : {
              "properties" : {
                "id" : {
                  "type" : "keyword"
                },
                "type" : {
                  "type" : "keyword"
                },
                "name" : {
                  "type" : "keyword"
                }
              }
            }
          }
        },
        "publisher" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            },
            "type" : {
              "type" : "keyword"
            },
            "name" : {
              "type" : "text",
              "fields" : {
                "keyword" : {
                  "type" : "keyword"
                }
              }
            }
          }
        },
        "sourceOrganization" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            },
            "type" : {
              "type" : "keyword"
            },
            "name" : {
              "type" : "keyword"
            }
          }
        },
        "type": {
          "type" : "keyword"
        },
        "keywords" : {
          "type" : "text",
          "fields" : {
            "keyword" : {
              "type" : "keyword"
            }
          }
        },
        "encoding": {
          "properties": {
            "type": {
              "type": "keyword"
            },
            "bitrate": {
              "type": "keyword"
            },
            "contentSize": {
              "type": "keyword"
            },
            "contentUrl": {
              "type": "keyword",
              "index": false
            },
            "embedUrl": {
              "type": "keyword",
              "index": false
            },
            "encodingFormat": {
              "type": "keyword"
            },
            "sha256": {
              "type": "keyword"
            }
          }
        },
        "persons" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            },
            "name" : {
              "type" : "text",
              "fields" : {
                "keyword" : {
                  "type" : "keyword"
                }
              }
            },
            "type" : {
              "type" : "keyword"
            }
          }
        },
        "institutions" : {
          "properties" : {
            "id" : {
              "type" : "keyword"
            },
            "type" : {
              "type" : "keyword"
            },
            "name" : {
              "type" : "keyword"
            },
            "location": {
              "properties": {
                "geo": {
                  "type": "geo_point"
                },
                "address": {
                  "properties": {
                    "addressCountry": {
                      "type" : "keyword"
                    },
                    "addressLocality": {
                      "type" : "text",
                      "fields" : {
                        "keyword" : {
                          "type" : "keyword"
                        }
                      }
                    },
                    "addressRegion": {
                      "type" : "text",
                      "fields" : {
                        "keyword" : {
                          "type" : "keyword"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}